package cn.rankin.productservice.service;

import cn.rankin.data.api.product.dto.PackageProductDTO;
import cn.rankin.data.api.product.entity.MerchantProduct;
import cn.rankin.data.api.product.entity.Product;
import cn.rankin.productservice.repository.GoodsRepository;
import cn.rankin.productservice.repository.MerchantProductRepository;
import cn.rankin.productservice.repository.ProductRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;
import java.util.ArrayList;
import java.util.List;

@Service
public class PackageChangeService {

    @Autowired
    private MerchantProductRepository merchantProductRepository;

    @Autowired
    private GoodsRepository goodsRepository;

    @Autowired
    private ProductRepository productRepository;

    @Transactional
    public void updatePackageInsideGoods(String pkgId, List<PackageProductDTO> dtoList) {
        List<String> productIdList = new ArrayList<>();
        dtoList.forEach(dto -> productIdList.add(dto.getPid()));

        List<Product> productList = productRepository.findByPids(productIdList);
        List<MerchantProduct> merchantProductList = merchantProductRepository.findByPid(pkgId);
    }
}
